Bug 60224 - Coverage profiler uses type names which don't exist
Summary: Coverage profiler uses type names which don't exist
Status: RESOLVED FIXED
Alias: None
Product: Runtime
Classification: Mono
Component: Profiler (show other bugs)
Version: unspecified
Hardware: PC Mac OS
: --- normal
Target Milestone: ---
Assignee: Zoltan Varga
URL:
Depends on:
Blocks:
 
Reported: 2017-10-17 09:48 UTC by Marek Safar
Modified: 2017-10-27 03:28 UTC (History)
2 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Marek Safar 2017-10-17 09:48:15 UTC
When using code coverage with mscorlib

in `mcs/class/corlib` do `COVERAGE=1 make run-test`

the generated .xml output file contains entries like

<method assembly="mscorlib" class="System.Tuple`9`0" name="get_Item2 ()" filename="/Users/user-name/git/my/mono/external/corert/src/System.Private.CoreLib/src/System/Tuple.cs" token="100665550">
	<statement offset="0" counter="0" line="1068" column="0"/>
</method>

where class="System.Tuple`9`0" does not exist in the assembly. It should probably be System.Tuple`8 instead
Comment 1 Zoltan Varga 2017-10-18 14:07:02 UTC
https://github.com/mono/mono/pull/5822
Comment 2 Zoltan Varga 2017-10-27 03:28:46 UTC
Fixed in mono master ceec5e9786dc9866409e4dd3523d4e1eb3f5af49.